<?xml version="1.0" encoding="UTF-8" ?>
<struts-config>
	<form-beans>
	
		<!-- Commons Forms -->
        <form-bean name="startAppForm" type="arg.ros.acc.forms.commons.StartAppForm"/>
        <form-bean name="loginForm" type="arg.ros.acc.forms.commons.UsuarioForm"/>
        <form-bean name="menuForm" type="arg.ros.acc.forms.commons.MenuForm"/>
        <form-bean name="exportForm" type="arg.ros.acc.forms.commons.ExportForm"/>
        <form-bean name="lupaForm" type="arg.ros.acc.forms.commons.LupaForm"/>
        <form-bean name="comboForm" type="arg.ros.acc.forms.commons.ComboForm"/>
        <form-bean name="idiomasForm" type="arg.ros.acc.forms.commons.IdiomasForm"/>
        <form-bean name="reportForm" type="arg.ros.acc.forms.commons.ReportForm"/>
        <!-- Entities Forms -->
        
		
		<!-- DS109105-00-001-SIMAF - Consulta_Histórica_de_Inhibiciones-->

		<form-bean name="movimientoFisicoForm" type="arg.ros.acc.forms.inhibiciones.MovimientoFisicoForm"/>
		
		
		<!-- DS109105-00-002 - Consulta de Zonas y Oficinas-->
		
		<form-bean name="zoNAOFICINAPFNNForm" type="arg.ros.acc.forms.zonaoficina.ZoNAOFICINAPFNNForm"/>
		<form-bean name="feNROABONHABILITADOSForm" type="arg.ros.acc.forms.zonaoficina.FeNROABONHABILITADOSForm"/>
		<form-bean name="feTIPOSERVForm" type="arg.ros.acc.forms.zonaoficina.FeTIPOSERVForm"/>
		
	   <!-- DS110398-00-001 SIMAF - Consulta de Cambio de Numero por Actual-->
	
		<form-bean name="fcOS_MISC_NUMForm" type="arg.ros.acc.forms.numeroactual.FcOS_MISC_NUMForm"/>
	
	
	 <!-- DS112511-00-001 Conversión_ACMEFADEUDAS_Consulta_de_Reintegros --> 
		<form-bean name="sfaFisicoReintegrosForm" type="arg.ros.acc.forms.reintegros.SfaFisicoReintegrosForm"/>
		<form-bean name="sfaMMiscelaneosFisicoForm" type="arg.ros.acc.forms.reintegros.SfaMMiscelaneosFisicoForm"/>
	<form-bean name="feriadoDetalleForm" type="arg.ros.acc.forms.feriado.FeriadoDetalleForm"/>
		<form-bean name="feriadoForm" type="arg.ros.acc.forms.feriado.FeriadoForm"/>
		<form-bean name="profesionalForm" type="arg.ros.acc.forms.profesional.ProfesionalForm"/>
		<form-bean name="contactoForm" type="arg.ros.acc.forms.contacto.ContactoForm"/>
		<form-bean name="contactotipoForm" type="arg.ros.acc.forms.contacto.ContactotipoForm"/>
		<form-bean name="provinciaForm" type="arg.ros.acc.forms.provincia.ProvinciaForm"/>
		<form-bean name="localidadForm" type="arg.ros.acc.forms.localidad.LocalidadForm"/>
		 
</form-beans>
 	
	<global-forwards type="org.apache.struts.action.ActionForward">
		<forward name="welcome" path="/welcome.do?method=view"/>
	</global-forwards>
	
	<action-mappings>
		<action path="/version" forward="/META-INF/MANIFEST.MF"/>
		
		<!-- Commons Actions -->
		<action path="/welcome" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="loginForm">
            <forward name="view" path="acc.page.welcome"/>
			<forward name="success" path="/startApp.do?method=viewLicense"/>
		</action>
		
		<action path="/startApp" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="startAppForm" scope="request">
			<forward name="viewLogin" path="/welcome.do?method=view"/>
            <forward name="viewLicense" path="acc.page.license"/>
			<forward name="viewApplication" path="/app/startApp.do?method=viewApplication" redirect="true"/>
		</action>
				
		<action path="/app/startApp" type="org.springframework.web.struts.DelegatingActionProxy"
			 parameter="method">
            <forward name="viewApplication" path="acc.page.application"/>
		</action>
			
		<action path="/app/menu" type="org.springframework.web.struts.DelegatingActionProxy" name="menuForm"/>
			
		<action path="/login" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method"
			 name="loginForm">
            <forward name="view" path="acc.page.welcome"/>
			<forward name="success" path="/startApp.do?method=viewLicense"/>
			<forward name="failure" path="/welcome.do?method=view"/>
		</action>
		
		<action path="/app/logout" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="loginForm">
			<forward name="view" path="/welcome.do?method=view" redirect="true"/>
		</action>
		
		<action path="/app/export" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="exportForm"/>
		<action path="/app/exportMonitor" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="exportForm"/>
		
		<action path="/app/report" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="reportForm"/>
		<action path="/app/lupas" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="lupaForm"/>
		<action path="/app/lupasInversas" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="lupaForm"/>
		<action path="/app/lupasFactMs" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="lupaForm"/>
		<action path="/app/lupasMonitor" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="lupaForm"/>
		
		<action path="/app/idiomas" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="idiomasForm">
            <forward name="view" path="accros.page.commons.Idiomas"/>
		</action>
		
		
		<!-- DS109105-00-001-SIMAF_-_Consulta_Histórica_de_Inhibiciones-->
		<action path="/app/movimientoFisico" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="movimientoFisicoForm">
			<forward name="view" path="acc.page.inhibiciones.MovimientoFisico"/>
		</action>
		
		<!-- DS109105-00-002 Consulta de Zonas y Oficinas-->
		
		<action path="/app/zoNAOFICINAPFNN" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="zoNAOFICINAPFNNForm">
			<forward name="view" path="acc.page.zonaoficina.ZoNAOFICINAPFNN"/>
		</action>
		
		<action path="/app/feNROABONHABILITADOS" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="feNROABONHABILITADOSForm">
			<forward name="view" path="acc.page.zonaoficina.FeNROABONHABILITADOS"/>
		</action>
		
		<action path="/app/feTIPOSERV" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="feTIPOSERVForm">
			<forward name="view" path="acc.page.zonaoficina.FeTIPOSERV"/>
		</action>
 	
 	
 		<!-- DS110398-00-001 SIMAF - Consulta de Cambio de NÃºmero por Actual-->
 		
		<action path="/app/fcOS_MISC_NUM" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="fcOS_MISC_NUMForm">
			<forward name="view" path="acc.page.numeroactual.FcOS_MISC_NUM"/>
		</action>
	
	
	
		
	 <!-- DS112511-00-001 Conversión_ACMEFADEUDAS_Consulta_de_Reintegros --> 
		
		<action path="/app/sfaFisicoReintegros" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="sfaFisicoReintegrosForm">
			<forward name="view" path="acc.page.reintegros.SfaFisicoReintegros"/>
		</action>
		
		<action path="/app/sfaMMiscelaneosFisico" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="sfaMMiscelaneosFisicoForm">
			<forward name="view" path="acc.page.reintegros.SfaMMiscelaneosFisico"/>
		</action>
		
				<action path="/app/feriadoDetalle" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="feriadoDetalleForm">
			<forward name="view" path="acc.page.feriado.FeriadoDetalle"/>
		</action>
		
		<action path="/app/feriado" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="feriadoForm">
			<forward name="view" path="acc.page.feriado.Feriado"/>
		</action>
		
		<action path="/app/profesional" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="profesionalForm">
			<forward name="view" path="acc.page.profesional.Profesional"/>
		</action>
		
		<action path="/app/contacto" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="contactoForm">
			<forward name="view" path="acc.page.contacto.Contacto"/>
		</action>
		
		<action path="/app/contactotipo" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="contactotipoForm">
			<forward name="view" path="acc.page.contacto.Contactotipo"/>
		</action>
		
		<action path="/app/provincia" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="provinciaForm">
			<forward name="view" path="acc.page.provincia.Provincia"/>
		</action>
		
		<action path="/app/localidad" type="org.springframework.web.struts.DelegatingActionProxy" parameter="method" name="localidadForm">
			<forward name="view" path="acc.page.localidad.Localidad"/>
		</action>
		
 	</action-mappings>
 	<controller processorClass="org.springframework.web.struts.DelegatingTilesRequestProcessor">
		<set-property property="nocache" value="true"/>
	</controller>

    <message-resources key="fields" parameter="arg.ros.acc.resources.ApplicationResourcesFields" null="false"/>
    <message-resources key="messages" parameter="arg.ros.acc.resources.ApplicationResourcesMessages" null="false"/>
	<plug-in className="org.apache.struts.tiles.TilesPlugin">
		<set-property property="definitions-config" value="/WEB-INF/tiles/tiles-defs.xml"/>
		<set-property property="definitions-parser-validate" value="true"/>
		<set-property property="moduleAware" value="true"/>
	</plug-in>
	

	 <plug-in className="org.springframework.web.struts.ContextLoaderPlugIn">
  		<set-property property="contextConfigLocation" value="/WEB-INF/spring/datasource-ctx.xml, /WEB-INF/spring/transactions-ctx.xml, /WEB-INF/spring/services-ctx.xml, /WEB-INF/spring/daos-ctx.xml, /WEB-INF/spring/action-servlet.xml, /WEB-INF/spring/menu-component-ctx.xml, /WEB-INF/spring/logger-ctx.xml" /> 
 	 </plug-in>
	
	
	</struts-config>
